> This page is for Firmware, version 4.0 (default).
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Get specific Multipurpose IO (MIO) channel state

GET http://os-992244000006.local/api/v1/sensor/mio/{channel_id}

Get the current state of a specific Multipurpose IO (MIO) hardware channel by its index. Each channel has aliases and will be configured as input or disabled.

Operations to configure and query Multipurpose IO (MIO) hardware channels. MIO provides configurable input/output functionality for external hardware integration, supporting both individual channel configuration and bulk operations using bitmasks.

Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/sensor-metadata/get-mio-channel

## Request

### Path parameters

- `channel_id` (integer, required) — Channel index (0 or 1)

## Response

### 200

Multipurpose IO hardware state for specific channel

- `aliases` (list of string, required) — Alternative names for the channel
- `input` (boolean, required) — Current input state of the channel (read-only).
- `enable` (boolean, required) — Whether the channel is enabled for MIO operation.
- `config` (enum, required) — Current channel configuration mode. 'OTHER' indicates the channel is not available for MIO operation. If enable is not set and config is OTHER, the channel is used by another service.
  - Allowed values: `INPUT`, `OTHER`

## Errors

### 404 Not Found Error

Channel not found

- `any`

### 500 Internal Server Error

Unexpected response format from sensor

- `any`

## Examples

**Response**

```json
{
  "aliases": [
    "MIO1",
    "TRIGGER_IN"
  ],
  "input": false,
  "enable": true,
  "config": "INPUT"
}
```

**SDK Code**

```python
import requests

url = "http://os-992244000006.local/api/v1/sensor/mio/1"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'http://os-992244000006.local/api/v1/sensor/mio/1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/sensor/mio/1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/sensor/mio/1")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://os-992244000006.local/api/v1/sensor/mio/1")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://os-992244000006.local/api/v1/sensor/mio/1');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/sensor/mio/1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/sensor/mio/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```